## NAME

t.vect.import.py - Imports a space time vector dataset from a GRASS GIS specific archive file.

## KEYWORDS

temporal, import, vector

## SYNOPSIS

t.vect.import.py
t.vect.import.py --help
t.vect.import.py [-eoc] input=name output=name [basename=string] directory=name [title=string] [description=string] [location=string] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-e
  Extend location extents based on new dataset
-o
  Override projection (use location's projection)
-c
  Create the location specified by the "location" parameter and exit. Do not import the space time vector datasets.
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input file
output=name [required]
  Name of the output space time vector dataset
basename=string
  Basename of the new generated output maps
  A numerical suffix separated by an underscore will be attached to create a unique identifier
directory=name [required]
  Path to the extraction directory
title=string
  Title of the new space time dataset
description=string
  Description of the new space time dataset
location=string
  Create a new location and import the data into it. Do not run this module in parallel or interrupt it when a new location should be created

## DESCRIPTION

t.vect.import imports a space time vector dataset archive that was created with t.vect.export. Optionally a base map name can be provided to avoid overwriting vector maps used in the space-time vector dataset archive.

## EXAMPLE

In this example 5 vector maps are created and registered in a single space time vector dataset named random_locations. Each vector map represents random locations within the boundary of the state taken at 1 month intervals. The space time dataset is then exported and re-imported.

    db.connect -d

    for i in `seq 1 5` ; do
        v.random output=map_$i n=500 input=boundary_state@PERMANENT
        echo map_$i >> map_list.txt
    done

    t.create type=stvds temporaltype=absolute \
             output=random_locations \
             title="Random locations" \
             description="Vector test dataset with random locations"

    t.register -i type=vector input=random_locations \
               file=map_list.txt start="2012-01-01" increment="1 months"

    t.vect.list random_locations

    t.vect.export input=random_locations output=random_locations.tar.gz \
                  compression=gzip

    t.vect.import input=random_locations.tar.gz output=new_random_locations \
                  base=new_map directory=/tmp

    t.vect.list new_random_locations
    id|name|layer|mapset|start_time|end_time
    new_map_1@user1|new_map_1|None|user1|2012-01-01 00:00:00|2012-02-01 00:00:00
    new_map_2@user1|new_map_2|None|user1|2012-02-01 00:00:00|2012-03-01 00:00:00
    new_map_3@user1|new_map_3|None|user1|2012-03-01 00:00:00|2012-04-01 00:00:00
    new_map_4@user1|new_map_4|None|user1|2012-04-01 00:00:00|2012-05-01 00:00:00
    new_map_5@user1|new_map_5|None|user1|2012-05-01 00:00:00|2012-06-01 00:00:00

## SEE ALSO

t.vect.export, t.create, t.info

## AUTHOR

Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

Last changed: $Date: 2014-12-27 00:50:11 +0100 (so, 27 XII 2014) $

Main index | Temporal index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual